diff a/src/jdk.compiler/share/classes/module-info.java b/src/jdk.compiler/share/classes/module-info.java
--- a/src/jdk.compiler/share/classes/module-info.java
+++ b/src/jdk.compiler/share/classes/module-info.java
@@ -21,12 +21,11 @@
  * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  * or visit www.oracle.com if you need additional information or have any
  * questions.
  */
 
-import javax.tools.JavaCompiler;
-import javax.tools.StandardLocation;
+import com.sun.tools.javac.comp.CodeReflectionTransformer;
 
 /**
  * Defines the implementation of the
  * {@linkplain javax.tools.ToolProvider#getSystemJavaCompiler system Java compiler}
  * and its command line equivalent, <em>{@index javac javac tool}</em>.
@@ -232,50 +231,61 @@
     exports com.sun.tools.doclint to
         jdk.javadoc;
     exports com.sun.tools.javac.api to
         jdk.javadoc,
         jdk.jshell,
-        jdk.internal.md;
+        jdk.internal.md,
+        jdk.incubator.code;
     exports com.sun.tools.javac.resources to
         jdk.jshell;
     exports com.sun.tools.javac.code to
         jdk.javadoc,
-        jdk.jshell;
+        jdk.jshell,
+        jdk.incubator.code;
     exports com.sun.tools.javac.comp to
         jdk.javadoc,
-        jdk.jshell;
+        jdk.jshell,
+        jdk.incubator.code;
     exports com.sun.tools.javac.file to
         jdk.jdeps,
         jdk.javadoc;
     exports com.sun.tools.javac.jvm to
-        jdk.javadoc;
+        jdk.javadoc,
+        jdk.incubator.code;
     exports com.sun.tools.javac.main to
         jdk.javadoc,
-        jdk.jshell;
+        jdk.jshell,
+        jdk.incubator.code;
     exports com.sun.tools.javac.model to
-        jdk.javadoc;
+        jdk.javadoc,
+        jdk.incubator.code;
     exports com.sun.tools.javac.parser to
         jdk.jshell,
         jdk.internal.md;
     exports com.sun.tools.javac.platform to
         jdk.jdeps,
         jdk.javadoc;
     exports com.sun.tools.javac.tree to
         jdk.javadoc,
         jdk.jshell,
-        jdk.internal.md;
+        jdk.internal.md,
+        jdk.incubator.code;
     exports com.sun.tools.javac.util to
         jdk.jdeps,
         jdk.javadoc,
         jdk.jshell,
-        jdk.internal.md;
+        jdk.internal.md,
+        jdk.incubator.code;
+    exports com.sun.tools.javac.processing to
+        jdk.incubator.code;
 
     uses javax.annotation.processing.Processor;
     uses com.sun.source.util.Plugin;
     uses com.sun.tools.doclint.DocLint;
     uses com.sun.tools.javac.platform.PlatformProvider;
     uses com.sun.tools.javac.api.JavacTrees.DocCommentTreeTransformer;
+    uses CodeReflectionTransformer;
 
     provides java.util.spi.ToolProvider with
         com.sun.tools.javac.main.JavacToolProvider;
 
     provides com.sun.tools.javac.platform.PlatformProvider with
